Commit cd190b82 authored by intrigeri's avatar intrigeri

Merge branch 'stable' into...

Merge branch 'stable' into wip/bugfix/17784-make-MAC-spoofing-failure-msgs-more-useful-and-resilient
parents 3b0d13c9 43c60c05
......@@ -155,7 +155,7 @@ if [ -d "$WORKAROUNDS_SRC" ]; then
fi
echo "I: Building ISO image ${BUILD_ISO_FILENAME}..."
time lb build noauto ${@}
time lb build noauto "${@}"
[ -e binary.iso ] || fatal "lb build failed ($?)."
echo "I: ISO image was successfully created"
......
......@@ -10,7 +10,7 @@ for dir in chroot/{dev/pts,proc,sys,var/lib/dpkg} ; do
fi
done
lb clean noauto ${@}
lb clean noauto "${@}"
# rm -f build-*.log
......
......@@ -91,7 +91,7 @@ export LB_BOOTSTRAP_INCLUDE="gnupg"
RUN_LB_CONFIG="lb config noauto"
# init config/ with defaults for the target distribution
$RUN_LB_CONFIG --distribution buster ${@}
$RUN_LB_CONFIG --distribution buster "${@}"
# set up everything for time-based snapshots:
if [ -n "${APT_SNAPSHOTS_SERIALS:-}" ]; then
......@@ -159,7 +159,7 @@ $RUN_LB_CONFIG \
--syslinux-splash data/splash.png \
--syslinux-timeout 4 \
--initramfs=live-boot \
${@}
"${@}"
install -d config/chroot_local-includes/etc/amnesia/
......
......@@ -16,9 +16,14 @@ output_apt_binary_source() {
}
output_overlay_apt_binary_sources() {
for suite in $(ls config/APT_overlays.d) ; do
cd config/APT_overlays.d/
for suite in * ; do
# handle the case when no APT overlay is enabled
[[ -e "$suite" ]] || break
output_apt_binary_source "$suite"
done
cd ../../
}
### Sanity checks
......
# shellcheck shell=bash
# This library is meant to be used in bash, with "set -e" and "set -u".
BASE_BRANCHES="stable testing devel"
......
......@@ -18,7 +18,8 @@ ensure_hook_dependency_is_installed dkms
ensure_hook_dependency_is_installed \
virtualbox-guest-dkms
for log in $(ls /var/lib/dkms/*/*/build/make.log); do
for log in /var/lib/dkms/*/*/build/make.log; do
[ -e "$log" ] || break # handle the case when no file matched the glob
echo "---- $log"
cat "$log"
done
......
......@@ -6,5 +6,5 @@ RUN_AS_USER=tails-persistence-setup
cd /
xhost +SI:localuser:"$RUN_AS_USER"
sudo -u "$RUN_AS_USER" /usr/bin/tails-persistence-setup --step delete $@
sudo -u "$RUN_AS_USER" /usr/bin/tails-persistence-setup --step delete "$@"
xhost -SI:localuser:"$RUN_AS_USER"
......@@ -6,5 +6,5 @@ RUN_AS_USER=tails-persistence-setup
cd /
xhost +SI:localuser:"$RUN_AS_USER"
sudo -u "$RUN_AS_USER" /usr/bin/tails-persistence-setup $@
sudo -u "$RUN_AS_USER" /usr/bin/tails-persistence-setup "$@"
xhost -SI:localuser:"$RUN_AS_USER"
# shellcheck shell=sh
GNOME_ENV_VARS="
DBUS_SESSION_BUS_ADDRESS
DISPLAY
......
......@@ -56,7 +56,7 @@ get_name_of_nic() {
mod_rev_dep_aux() {
local mod
local rev_deps
for mod in ${@}; do
for mod in "${@}"; do
if echo ${MOD_REV_DEP_VISITED} | grep -qw ${mod}; then
continue
fi
......
# shellcheck shell=sh
# This shell library is meant to be used with `set -e` and `set -u`.
po_languages () {
......
......@@ -2,13 +2,13 @@
error ()
{
echo "error: ${@}" >&2
echo "error: ${*}" >&2
exit 1
}
warning ()
{
echo "warning: ${@}" >&2
echo "warning: ${*}" >&2
}
# import Cmdline_old()
......@@ -131,13 +131,13 @@ migrate_persistence_preset()
# We override live-boot's logging facilities to get more useful error messages
log_warning_msg ()
{
warning ${@}
warning "${@}"
}
# We override live-boot's panic() since it does a lot of crazy stuff
panic ()
{
error ${@}
error "${@}"
}
list_gpt_volumes ()
......@@ -567,7 +567,7 @@ main ()
list_gpt_volumes ${labels}
;;
activate|close)
if ! echo ${@} | grep -qe "[^[:space:]]"
if ! echo "${@}" | grep -qe "[^[:space:]]"
then
error "you must specify at least one volume"
fi
......@@ -582,4 +582,4 @@ main ()
esac
}
main ${@}
main "${@}"
tails (4.9) UNRELEASED; urgency=medium
* Dummy entry for next release.
-- anonym <anonym@riseup.net> Wed, 01 Jul 2020 11:05:21 +0200
tails (4.8) unstable; urgency=medium
* Major changes
......
......@@ -28,7 +28,7 @@ fi
### helper functions
fatal () {
echo "Fatal: $@" >&2
echo "Fatal: $*" >&2
exit 2
}
......@@ -56,7 +56,7 @@ export DEBEMAIL="${AMNESIA_DEV_EMAIL}"
echo "Updating debian/changelog from Git history..."
gbp dch \
`if [ ${SNAPSHOT} = yes ]; then echo '--snapshot --auto' ; fi` \
`if [ ${SNAPSHOT} = no -a -n ${SINCE} ]; then echo "--since=${SINCE}" ; fi` \
`if [ ${SNAPSHOT} = no -a -n "${SINCE}" ]; then echo "--since=${SINCE}" ; fi` \
`if [ ${SNAPSHOT} = no -a -z ${SINCE} ]; then echo "--auto" ; fi` \
--new-version="${NEW_VERSION}" \
--ignore-branch \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment